List an Organization's Release Files

GET /api/0/organizations/{organization_id_or_slug}/releases/{version}/files/

Retrieve a list of files for a given release.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

version (string)
REQUIRED

The version identifier of the release

Query Parameters:

query (array(string))

If set, only files with these partial names will be returned.

checksum (array(string))

If set, only files with these exact checksums will be returned.

cursor (string)

A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

Scopes

<auth_token> requires one of the following scopes:
  • org:ci
  • project:admin
  • project:read
  • project:releases
  • project:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/releases/{version}/files/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
.
Was this helpful?